#!/bin/sh

############################################################################
#
#  Source Name : uninstall.sh
#  Option      : No option.
#  Result Code : 0    -> No errors occurred.
#              : 128  -> Failed su or uninstall_su.sh.
#
############################################################################

cd `dirname $0`

if [ "`whoami`" != "root" ]; then
	echo "Please enter root password."
fi

# failed su: return-value is 125.
# failed install_su_parent.sh: return-value is 128 and over.
# -> 125 and over is error.
if su -c "./bin/uninstall_su.sh" ; test  $? -lt 125 ; then
	echo "Done."
else
	echo "Failed."
	exit 128
fi

exit 0
